/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef EPUBFILEENTRY_H
#define EPUBFILEENTRY_H

#include <QSharedDataPointer>

#include "epubfileentry_p.h"

class EpubFileEntry
{
public:
    EpubFileEntry();
    EpubFileEntry(const EpubFileEntry &other);

    quint32 crc32();
    quint16 compressionMethod();
    quint32 compressedSize();
    quint32 uncompressedSize();
    quint32 dataOffset();
    QString filename();

    void setCrc32(quint32 crc);
    void setCompressionMethod(quint16 method);
    void setCompressedSize(quint32 size);
    void setUncompressedSize(quint32 size);
    void setDataOffset(quint32 offset);
    void setFilename(const QString &filename);

private:
    QSharedDataPointer<EpubFileEntryPrivate> d;
};

#endif // EPUBFILEENTRY_H
