/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef EPUBFILEENTRY_P_H
#define EPUBFILEENTRY_P_H

#include <QSharedData>
#include <QString>

class EpubFileEntryPrivate : public QSharedData
{
public:
    EpubFileEntryPrivate();
    EpubFileEntryPrivate(const EpubFileEntryPrivate &other);

    quint32 crc32;
    quint16 compressionMethod;
    quint32 compressedSize;
    quint32 uncompressedSize;
    quint32 dataOffset;
    QString filename;
};

#endif // EPUBFILEENTRY_P_H
