/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "palmdoc.h"

QByteArray PalmDoc::decompress(const QByteArray &data)
{
    QByteArray result;
    int i = 0;

    while (i < data.count()) {
        int c = (quint8)data.at(i);
        i += 1;

        if (c >= 0x01 && c <= 0x08) {
            for (int j = 0; j < c; j++) {
                result.append(data.at(i + j));
            }
        }
        else if (c <= 0x7f) {
            result.append(c);
        }
        else if (c >= 0xc0) {
            result.append(32);
            result.append(c ^ 0x80);
        }
        else {
            c = (c << 8) + (quint8)data.at(i);
            i += 1;
            int di = (c & 0x3fff) >> 3;
            int j = result.count();
            int num = (c & ((1 << 3) - 1)) + 3;

            for (int k = 0; k < num; k++) {
                result.append((result.at(j - di + k)));
            }
        }
    }
    return result;
}
