/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "palmdocheader.h"

void PalmDocHeader::clear()
{
    m_compressed = false;
    m_uncompressedLength = 0;
    m_recordCount = 0;
    m_maxRecordSize = 0;
}

bool PalmDocHeader::Compressed()
{
    return m_compressed;
}

quint32 PalmDocHeader::uncompressedLength()
{
    return m_uncompressedLength;
}

quint16 PalmDocHeader::recordCount()
{
    return m_recordCount;
}

quint16 PalmDocHeader::maxRecordSize()
{
    return m_maxRecordSize;
}

void PalmDocHeader::setCompressed(bool compressed)
{
    m_compressed = compressed;
}

void PalmDocHeader::setUncompressedLength(quint32 length)
{
    m_uncompressedLength = length;
}

void PalmDocHeader::setRecordCount(quint16 count)
{
    m_recordCount = count;
}

void PalmDocHeader::setMaxRecordSize(quint16 size)
{
    m_maxRecordSize = size;
}
