/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PALMDOCHEADER_H
#define PALMDOCHEADER_H

#include <Qt>

class PalmDocHeader
{
public:
    void clear();

    bool Compressed();
    quint32 uncompressedLength();
    quint16 recordCount();
    quint16 maxRecordSize();

    void setCompressed(bool compressed);
    void setUncompressedLength(quint32 length);
    void setRecordCount(quint16 count);
    void setMaxRecordSize(quint16 size);

private:
    bool m_compressed;
    quint32 m_uncompressedLength;
    quint16 m_recordCount;
    quint16 m_maxRecordSize;
};

#endif // PALMDOCHEADER_H
