/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PALMDOCREADER_H
#define PALMDOCREADER_H

#include "palmdocheader.h"
#include "pdbreader.h"

class PalmDocReader : public PdbReader
{
public:
    PalmDocReader();
    ~PalmDocReader();

    bool open(QString const &filename);
    void close();

    bool extractBook(const QString &location);
    bool extractBookRaw(const QString &location);

    static const QString IDENTITY;

private:
    void readRecord0();
    bool validate();
    void readMetadata();
    QString getText(quint16 section);

    PalmDocHeader *m_record0;

    static const quint16 MAX_RECORD_SIZE;
};

#endif // PALMDOCREADER_H
