/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "pdbheader.h"

void PdbHeader::clear()
{
    m_title = "";
    m_identity = "";
    m_sectionCount = 0;
    m_sectionOffsets.clear();
    m_sectionLengths.clear();
}

QString PdbHeader::title()
{
    return m_title;
}

QString PdbHeader::identity()
{
    return m_identity;
}

quint16 PdbHeader::sectionCount()
{
    return m_sectionCount;
}

QList<quint32> PdbHeader::sectionOffsets()
{
    return m_sectionOffsets;
}

QList<quint16> PdbHeader::sectionLengths()
{
    return m_sectionLengths;
}

void PdbHeader::setTitle(const QString &title)
{
    m_title = title;
}

void PdbHeader::setIdentity(const QString &identity)
{
    m_identity = identity;
}

void PdbHeader::setSectionCount(quint16 count)
{
    m_sectionCount = count;
}

void PdbHeader::setSectionOffsets(QList<quint32> offsets)
{
    m_sectionOffsets = offsets;
}

void PdbHeader::setSectionLengths(QList<quint16> lengths)
{
    m_sectionLengths = lengths;
}
