/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PDBHEADER_H
#define PDBHEADER_H

#include <QList>
#include <QString>

class PdbHeader
{
public:
    void clear();

    QString title();
    QString identity();
    quint16 sectionCount();
    QList<quint32> sectionOffsets();
    QList<quint16> sectionLengths();

    void setTitle(const QString &title);
    void setIdentity(const QString &identity);
    void setSectionCount(quint16 count);
    void setSectionOffsets(QList<quint32> offsets);
    void setSectionLengths(QList<quint16> lengths);

private:
    QString m_title;
    QString m_identity;
    quint16 m_sectionCount;
    QList<quint32> m_sectionOffsets;
    QList<quint16> m_sectionLengths;
};

#endif // PDBHEADER_H
