/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PDBREADER_H
#define PDBREADER_H

#include <QByteArray>
#include <QFile>
#include <QString>

#include "formatreader.h"
#include "pdbheader.h"

class PdbReader : public FormatReader
{
public:
    PdbReader();
    ~PdbReader();

    static QString getIdenity(const QString &filename);
    static QString getIdenity(QFile *file);
    bool checkIdentity(const QString &identity);

    QByteArray getSectionData(quint16 number);

protected:
    void readHeader();

    PdbHeader *m_pdbHeader;

};

#endif // PDBREADER_H
