/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "tocitem.h"
#include "tocitem_p.h"

TocItemPrivate::TocItemPrivate()
{
    name.clear();
    location.clear();
}

TocItemPrivate::TocItemPrivate(const TocItemPrivate &other) :
        QSharedData(other), name(other.name), location(other.location)
{
}

TocItem::TocItem()
{
    d = new TocItemPrivate();
}

TocItem::TocItem(const TocItem &other) : d(other.d)
{
}

void TocItem::clear()
{
    d->name.clear();
    d->location.clear();
}

QString TocItem::name()
{
    return d->name;
}

QString TocItem::location()
{
    return d->location;
}

void TocItem::setName(const QString &name)
{
    d->name = name;
}

void TocItem::setLocation(const QString &location)
{
    d->location = location;
}
