/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef TOCITEM_H
#define TOCITEM_H

#include <QSharedDataPointer>
#include <QString>

#include "tocitem_p.h"

class TocItem
{
public:
    TocItem();
    TocItem(const TocItem &other);

    void clear();

    QString name();
    QString location();

    void setName(const QString &name);
    void setLocation(const QString &location);

private:
    QSharedDataPointer<TocItemPrivate> d;
};

#endif // TOCITEM_H
