/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ZLIBDECOMPRESSOR_H
#define ZLIBDECOMPRESSOR_H

#include <QByteArray>

#include <zlib.h>

class ZlibDecompressor
{
public:
    ZlibDecompressor();
    ~ZlibDecompressor();

    QByteArray decompress(const QByteArray &data);

    static QByteArray decompressZip(const QByteArray &data, quint64 uncompressedSize);

private:
    z_stream m_zStream;
    static const int MAX_BUFFER_SIZE;
};

#endif // ZLIBDECOMPRESSOR_H
