/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "ztxtheader.h"

void ZTxtHeader::clear()
{
    m_version = 0;
    m_numRecords = 0;
    m_size = 0;
    m_recordSize = 0;
    m_numBookmarks = 0;
    m_bookmarkRecord = 0;
    m_numAnnotations = 0;
    m_annotationRecord = 0;
    m_flags = 0;
    m_crc32 = 0;
}

quint16 ZTxtHeader::version()
{
    return m_version;
}

quint16 ZTxtHeader::numRecords()
{
    return m_numRecords;
}

quint32 ZTxtHeader::size()
{
    return m_size;
}

quint16 ZTxtHeader::recordSize()
{
    return m_recordSize;
}

quint16 ZTxtHeader::numBookmarks()
{
    return m_numBookmarks;
}

quint16 ZTxtHeader::bookmarkRecord()
{
    return m_bookmarkRecord;
}

quint16 ZTxtHeader::numAnnotations()
{
    return m_numAnnotations;
}

quint16 ZTxtHeader::annotationRecord()
{
    return m_annotationRecord;
}

quint8 ZTxtHeader::flags()
{
    return m_flags;
}

quint32 ZTxtHeader::crc32()
{
    return m_crc32;
}


void ZTxtHeader::setVersion(quint16 version)
{
    m_version = version;
}

void ZTxtHeader::setNumRecords(quint16 number)
{
    m_numRecords = number;
}

void ZTxtHeader::setSize(quint32 size)
{
    m_size = size;
}

void ZTxtHeader::setRecordSize(quint16 size)
{
    m_recordSize = size;
}

void ZTxtHeader::setNumBookmarks(quint16 number)
{
    m_numBookmarks = number;
}

void ZTxtHeader::setBookmarkRecord(quint16 number)
{
    m_bookmarkRecord = number;
}

void ZTxtHeader::setNumAnnotation(quint16 number)
{
    m_numAnnotations = number;
}


void ZTxtHeader::setAnnotationRecord(quint16 number)
{
    m_annotationRecord = number;
}

void ZTxtHeader::setFlags(quint8 flags)
{
    m_flags = flags;
}

void ZTxtHeader::setCrc32(quint32 crc)
{
    m_crc32 = crc;
}
