/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ZTXTHEADER_H
#define ZTXTHEADER_H

#include <Qt>

class ZTxtHeader
{
public:
    void clear();

    quint16 version();
    quint16 numRecords();
    quint32 size();
    quint16 recordSize();
    quint16 numBookmarks();
    quint16 bookmarkRecord();
    quint16 numAnnotations();
    quint16 annotationRecord();
    quint8 flags();
    quint32 crc32();

    void setVersion(quint16 version);
    void setNumRecords(quint16 number);
    void setSize(quint32 size);
    void setRecordSize(quint16 size);
    void setNumBookmarks(quint16 number);
    void setBookmarkRecord(quint16 number);
    void setNumAnnotation(quint16 number);
    void setAnnotationRecord(quint16 number);
    void setFlags(quint8 flags);
    void setCrc32(quint32 crc32);

private:
    quint16 m_version;
    quint16 m_numRecords;
    quint32 m_size;
    quint16 m_recordSize;
    quint16 m_numBookmarks;
    quint16 m_bookmarkRecord;
    quint16 m_numAnnotations;
    quint16 m_annotationRecord;
    quint8 m_flags;
    quint32 m_crc32;
};

#endif // ZTXTHEADER_H
