/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ZTXTREADER_H
#define ZTXTREADER_H

#include <QString>

#include "pdbreader.h"
#include "zlibdecompressor.h"
#include "ztxtheader.h"

class ZTxtReader : public PdbReader
{
public:
    ZTxtReader();
    ~ZTxtReader();

    bool open(QString const &filename);
    void close();

    bool extractBook(const QString &location);
    bool extractBookRaw(const QString &location);

    static const QString IDENTITY;
    static const quint8 SUPPORTED_MAJOR_VERSION;
    static const quint8 SUPPORTED_MINOR_VERSION;

private:
    void readRecord0();
    bool validate();
    void readMetadata();
    QString getText();

    ZTxtHeader *m_record0;
    bool m_cMode1;

};

#endif // ZTXTREADER_H
